.modal {
  display: block;
  width: 100vw;
  height: 100vh;
  position: fixed;
  inset: 0;
  background-color: hsl(0, 0%, 0%, 0.7);
  z-index: 999;
  display: grid;
  place-items: center;
}

.modal__inner {
  width: 500px;
  height: 500px;
  background: #fff;
  border-radius: 24px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.modal__inner .title{
  font-size: 20px;
  font-weight: bold;
  color: #000;
  margin-bottom: 20px;
}

.input--wrap{
  display: flex;
  flex-direction: column;
  margin-bottom: 15px;
}

.input--wrap label{
  color: #000;
}

.input--wrap input{
  display: block;
  width: 100%;
  box-sizing: border-box;
  padding: 10px;
  font-size: 18px;
  border-radius: 12px;
}

.submit_button{
  display: block;
  width: 400px;
  padding: 10px;
  margin-top: 20px;
  border-radius: 12px;
  background-color: #000;
  border: 1px solid #000;
  color: #fff;
  font-weight: bold;
  cursor: pointer;
  transition: all 0.3s;
}

.submit_button:hover{
  background: #fff;
  border: 1px solid #000;
  color: #000;
}